#include<bits/stdc++.h>
using namespace std;
long long mas[100001];
long long mas2[100001];
long long ras[100001];
long long razk[100001];
int main(){
    long long N,ans=0;
    cin>>N;
    for(long long i=0;i<N;i++){
        cin>>mas[i]>>mas2[i];
    }
    sort(mas,mas+N);
    sort(mas2,mas2+N);
    for(long long i=N-2;i>=0;i--){
        long long raz=mas[i+1]-mas[i],kol=(N-1-i);
        ras[i]=ras[i+1]+kol*raz;
        razk[i]=razk[i+1]+(raz*raz)*(kol)+2*raz*(ras[i+1]);
        ans+=razk[i];
    }
    for(long long i=N-2;i>=0;i--){
        long long raz=mas2[i+1]-mas2[i],kol=(N-1-i);
        ras[i]=ras[i+1]+kol*raz;
        razk[i]=razk[i+1]+(raz*raz)*(kol)+2*raz*(ras[i+1]);
        ans+=razk[i];
    }
    cout<<ans<<endl;
    return 0;
}
